<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	$selBType = '';
}

if(isset($_POST['id']) && isset($_POST['val']) && isset($_POST['iden'])){


    $duedate= date("Y-m-d",strtotime(trim(addslashes($_POST['val']))));


	if($_POST['iden']=='Owners_Status'){

		$sql1 = "select * from fhs_track_master where COMID='".$_POST['id']."'";
		$res1 = mysql_query($sql1) or die($sql1);
		$rec1 = mysql_num_rows($res1);

		if($rec1==0){

			$sql6 = "insert into fhs_track_master(OWN_STAT, COMID,Iden) values ('".$_POST['val']."', '".$_POST['id']."','VC')";
			$insert_detials=mysql_query($sql6);

			if($insert_detials){
				echo true;
				return;
			}


		}else{

			$change_detials=mysql_query("UPDATE fhs_track_master SET OWN_STAT='".$_POST['val']."',Iden='VC' WHERE COMID='".$_POST['id']."'");
      
				if($change_detials){
					echo true;
					return;
				}

		}
		

	}else if($_POST['iden']=='Bainbridge_Status'){

		$sql1 = "select * from fhs_track_master where COMID='".$_POST['id']."'";
		$res1 = mysql_query($sql1) or die($sql1);
		$rec1 = mysql_num_rows($res1);

		if($rec1==0){

			$sql6 = "insert into fhs_track_master(BB_STAT, COMID,'VC') values ('".$_POST['val']."', '".$_POST['id']."','VC')";
			$insert_detials=mysql_query($sql6);

			if($insert_detials){
				echo true;
				return;
			}


		}else{

			$change_detials=mysql_query("UPDATE fhs_track_master SET BB_STAT='".$_POST['val']."',Iden='VC' WHERE COMID='".$_POST['id']."'");
      
				if($change_detials){
					echo true;
					return;
				}

		}
		

	}else if($_POST['iden']=='out_amt_as_per_owner'){

		$sql1 = "select * from fhs_track_master where COMID='".$_POST['id']."'";
		$res1 = mysql_query($sql1) or die($sql1);
		$rec1 = mysql_num_rows($res1);

		if($rec1==0){

			$sql6 = "insert into fhs_track_master(OUT_AS_PER_OWN, COMID,VC) values ('".$_POST['val']."', '".$_POST['id']."','VC')";
			$insert_detials=mysql_query($sql6);

			if($insert_detials){
				echo true;
				return;
			}


		}else{

			$change_detials=mysql_query("UPDATE fhs_track_master SET OUT_AS_PER_OWN='".$_POST['val']."',Iden='VC' WHERE COMID='".$_POST['id']."'");
      
				if($change_detials){
					echo true;
					return;
				}

		}
		

	}else if($_POST['iden']=='out_amt_as_per_bb'){

		$sql1 = "select * from fhs_track_master where COMID='".$_POST['id']."'";
		$res1 = mysql_query($sql1) or die($sql1);
		$rec1 = mysql_num_rows($res1);

		if($rec1==0){

			$sql6 = "insert into fhs_track_master(OUT_AS_PER_BB, COMID,Iden) values ('".$_POST['val']."', '".$_POST['id']."','VC')";
			$insert_detials=mysql_query($sql6);

			if($insert_detials){
				echo true;
				return;
			}


		}else{

			$change_detials=mysql_query("UPDATE fhs_track_master SET OUT_AS_PER_BB='".$_POST['val']."',Iden='VC' WHERE COMID='".$_POST['id']."'");
      
				if($change_detials){
					echo true;
					return;
				}

		}
		

	}else if($_POST['iden']=='last_rem_date'){

		$sql1 = "select * from fhs_track_master where COMID='".$_POST['id']."'";
		$res1 = mysql_query($sql1) or die($sql1);
		$rec1 = mysql_num_rows($res1);

		if($rec1==0){

			$sql6 = "insert into fhs_track_master(LAST_REM_DATE, COMID,Iden) values ('".date("Y-m-d",strtotime(trim(addslashes($_POST['val']))))."', '".$_POST['id']."','VC')";
			$insert_detials=mysql_query($sql6);

			if($insert_detials){
				echo true;
				return;
			}


		}else{

			$change_detials=mysql_query("UPDATE fhs_track_master SET LAST_REM_DATE='".date("Y-m-d",strtotime(trim(addslashes($_POST['val']))))."',Iden='VC' WHERE COMID='".$_POST['id']."'");
      
				if($change_detials){
					echo true;
					return;
				}

		}
		

	}else if($_POST['iden']=='add_rem'){

		$sql1 = "select * from fhs_track_master where COMID='".$_POST['id']."'";
		$res1 = mysql_query($sql1) or die($sql1);
		$rec1 = mysql_num_rows($res1);

		if($rec1==0){

			$sql6 = "insert into fhs_track_master(ADD_REM, COMID,Iden) values ('".$_POST['val']."', '".$_POST['id']."','VC')";
			$insert_detials=mysql_query($sql6);

			if($insert_detials){
				echo true;
				return;
			}


		}else{

			$change_detials=mysql_query("UPDATE fhs_track_master SET ADD_REM='".$_POST['val']."',Iden='VC' WHERE COMID='".$_POST['id']."'");
      
				if($change_detials){
					echo true;
					return;
				}

		}
		

	}
    
    
      echo false;
      return;

}


?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css" />

<!-- ldj  -->
<!-- <link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" /> -->
<!-- end ldj  -->
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7,1); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <a href="#" class="navbar-btn sidebar-toggle" data-toggle="offcanvas" role="button" style="margin:0px;"><i class="fa fa-bars" style="font-size:20px;"></i></a>&nbsp;&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                         <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                         <li>Reports</li>
						 <li>Chartering</li>
						 <li class="active">FHS & Brokerage Tracker (VC)</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<div class="box box-primary">
				<h3 style=" text-align:center;">FHS & Brokerage Tracker (VC)</h3>
				<form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
					<div class="row invoice-info" style="margin-left:10px;">
					<div class="col-sm-2 invoice-col">
						Year<span style="font-size:10px; font-style:italic;"></span>
						<select name="selYear" id="selYear" class="form-control">
                                   <?php echo $obj->getYearList();?>
                                  </select>          
						</div>
						
						<div class="col-sm-2 invoice-col">
						Team<span style="font-size:10px; font-style:italic;"></span>
						<select name="selTeam" id="selTeam" class="form-control" >
                                   <?php echo $obj->getCountyListForChartering();?>
                                  </select>          
						</div>
                        <!-- <div class="col-xs-2">
                            Business Type
                            <address>
                             <select name="selBType" id="selBType" class="form-control">
                               <?php echo $obj->getBusinessTypeList1($selBType);?>
                              </select>  
                           </address>                
                        </div>/.col -->
						<!-- <div class="col-xs-2">
                           COA/Spot
                            <address>
                             <select name="selCOASpot" id="selCOASpot" class="form-control">
                               <?php echo $obj->getCOASpotList();?>
                              </select>  
                           </address>                
                        </div>/.col -->
                        <div class="col-sm-2 invoice-col">
						&nbsp;
                            <address>
                              <button type="button" class="btn btn-primary btn-flat" onClick="getData();" >Search</button>
                            </address>
                        </div><!-- /.col -->
					</div>
					<!-- <div align="right">
                        <a href="#" title="Pdf" onClick="getExcel();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i>Generate Excel</button></a>
					</div> -->
					<div style="height:10px;">
						<input name="txttblid" id="txttblid" type="hidden" value="" />
						<input name="txttblstatus" id="txttblstatus" type="hidden" value="" />
						<input type="hidden" name="action" value="submit" />
					</div>
                    
					<div id="DivOwner" class="box-body table-responsive" style="overflow:auto;">
						<table id="sf_list" class="table table-bordered table-striped dataTable">
							<thead>
							<tr>
								<th>Sr No</th>
								<th>Fixture No.</th>
								<th>Vessel</th>
								<th>Owners</th>
								<th>CP Dated</th>
								<th>Type</th>
								<th>Period</th>
								<th>CHTG PIC</th>
								<th>OPC PIC</th>
								<th>1st FHS Recvd Frm Ownrs </th>
								<th>Owner Status</th>
								<th>Bainbridge Status</th>
								<th>Amount as per owners</th>
								<th>Amount as per charterers(BB) </th>
								<th>Last Reminders Date</th>
								<th>Remarks on  FHS</th>
								<th>Owner brokerage</th>
								<th>Percentage</th>
								<th>Hire</th>
								<th>Amount</th>
								<th>Broker</th>
								<th>Remarks on brokerage</th>
								<th>FHS Accural</th>
								
							</tr>
                            
							</thead>
							<tbody>
								
							</tbody>
							
						</table>
					</div>
				</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<!-- <script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>-->



<!-- <script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>  -->


<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js" type="text/javascript"></script>
	
	<!-- new scripts -->
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/dataTables.buttons.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.html5.min.js" type="text/javascript"></script>
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.print.min.js" type="text/javascript"></script>
	<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
	<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
	<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
	<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script> 


<script type="text/javascript">
$(document).ready(function(){
	
	$("#sf_list").dataTable();
	
	$('#txtFrom_Date,#txtTo_Date').datepicker({
		format: 'dd-mm-yyyy',
		autoclose: true
	});
});

function getData()
{
	if($("#selYear").val() != "")
	{
		$('#DivOwner').html("");
		$('#DivOwner').html('<span style="text-align:center;display:block;"><img src="../../img/loading.gif" /></span>');
		$.post("options.php?id=110",{selYear:""+$("#selYear").val()+"",selTeam:""+$("#selTeam").val()+"",selBType:""+$("#selBType").val()+"", selCOASpot:""+$("#selCOASpot").val()+""}, function(html) {
			$('#DivOwner').html("");
			$('#DivOwner').html(html);


			// 
// Create search header
				var new_row = $("<tr class='search-header'/>");
				$('#sf_list thead th').each(function(i) {
				var title = $(this).text();
				var new_th = $('<th style="' + $(this).attr('style') + '" />');

				if (title == "Sno.") {
		
		$(new_th).append('<input type="text" style="width:30px;" placeholder="' + title + '" data-index="'+i+'"/>');
	} else if (title == "Fixture No.") {
	
		$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');
	}else if (title == "Hire Days ") {
	
	$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');
}else if (title == "Hire Amount") {
	
	$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');
}else{
		$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');

	}
	

				
				$(new_row).append(new_th);
				});
				$('#sf_list thead').prepend(new_row);

			var table = $('#sf_list').DataTable({
							"scrollX": true,
							"searching": true,
							paging: true, 
       
						dom: 'Blfrtip',
						buttons: [
        {
          extend: 'excel',
		  messageTop: "FHS & Brokerage Tracker (VC)",			
							title:"FHS & Brokerage Tracker (VC)",
							sFileName: "FHS & Brokerage Tracker (VC)",
          exportOptions: {
            format: {
              body: function ( inner, rowidx, colidx, node ) {
                if ($(node).children("input").length > 0) {
                  return $(node).children("input").first().val();
                } else {
                  return inner;
                }
              }
            }
          }
        }
      ]
						});


            

                        // end ldj lok
			// $("#sf_list").dataTable();

			// Filter event handler
$( table.table().container() ).on( 'keyup', 'thead input', function () {
  table
    .column( $(this).data('index') )
    .search( this.value )
    .draw();
});


		});




// ldj
						// $('#sf_list').DataTable({
						// 			'processing': true,
						// 			'serverSide': true,
						// 			'serverMethod': 'post',

						// 			'ajax': {
						// 				'url':'options.php?id=108'
						// 			},
						// 			'data':{txtFrom_Date:""+$("#txtFrom_Date").val()+"",txtTo_Date:""+$("#txtTo_Date").val()+"",selBType:""+$("#selBType").val()+"", selCOASpot:""+$("#selCOASpot").val()+""},
						// 			'columns': [
						// 				{ data: 'sr_no' },
						// 				{ data: 'fixture_no' },
						// 				{ data: 'vessel' },
						// 				{ data: 'salary' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 				{ data: 'city' },
						// 			]
						// 		});


// end ldj
	}else{
		jAlert('Please select Date From & Date To', 'Alert Dialog');
	}
}

function getPdf()
{
	location.href='allPdf.php?id=30&txtFrom_Date='+$("#txtFrom_Date").val()+'&txtTo_Date='+$("#txtTo_Date").val()+'&selBType='+$("#selBType").val();
}

function getExcel()
{
	location.href='allExcel.php?id=25&txtFrom_Date='+$("#txtFrom_Date").val()+'&txtTo_Date='+$("#txtTo_Date").val()+'&selBType='+$("#selBType").val()+'&selCOASpot='+$("#selCOASpot").val();
}


const debounce = (func, wait) => {
let timeout;

  return function executedFunction(...args) {
    const later = () => {
      clearTimeout(timeout);
      func(...args);
    };

    clearTimeout(timeout);
    timeout = setTimeout(later, wait);
  };
};


function updateDetInTab(elx){

	debounce(function(){
		
                $.ajax({
                       
                        type: "POST",
                        data: { id: $(elx).data('comid'), val: $(elx).val(),iden: $(elx).data('iden') },
                        dataType: "json",
                        
                        success: function (result) {
                            // when call is sucessfull
                               if(result){
                                // $(clx).parent().prev().text(f_year);
								console.log('DATA POSTED');
                               }
                            },
                            error: function (err) {
                            // check the err for error details
                           
                                
                            }
                    }); 



	}, 500).call();

}
</script>
		
</body>
</html>